Bug 1313695 - (CVE-2016-2559) CVE-2016-2559 phpMyAdmin: XSS vulnerability in SQL parser (PMASA-2016-10)
CVE-2016-2559 phpMyAdmin: XSS vulnerability in SQL parser (PMASA-2016-10)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160225,repor...
: Security
Depends On: 1313698 1313699 1313700 1313701
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 04:10 EST by Martin Prpič
Modified: 2016-11-28 09:36 EST (History)
10 users (show)

See Also:
Fixed In Version: phpMyAdmin 4.5.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 09:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-03-02 04:10:24 EST
Using a crafted SQL query, it is possible to trigger an XSS attack through the SQL query page.

This vulnerability can be triggered only by someone who is logged in to phpMyAdmin, as the usual token protection prevents non-logged-in users from accessing the required pages.

Affected Versions:

Versions 4.5.x (prior to 4.5.5.1) are affected.

Fixed in phpMyAdmin 4.5.5.1.

Upstream patch:

https://github.com/phpmyadmin/phpmyadmin/commit/3a6a9a807d99371ee126635e1a505fc1fe0df32c

External References:

https://www.phpmyadmin.net/security/PMASA-2016-10/
Comment 2 Martin Prpič 2016-03-02 04:13:33 EST
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1313698]
Affects: epel-all [bug 1313699]
Comment 3 Martin Prpič 2016-03-02 04:13:39 EST
Created phpMyAdmin4 tracking bugs for this issue:

Affects: epel-5 [bug 1313700]
Comment 4 Fedora Update System 2016-03-06 17:26:49 EST
phpMyAdmin-4.0.10.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-03-09 10:50:27 EST
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-09 13:45:57 EST
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-09 15:11:26 EST
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-10 08:57:23 EST
phpMyAdmin-4.4.15.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-20 14:50:27 EDT
phpMyAdmin4-4.0.10.15-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.